
	subroutine KEP2(m,e,err,nu)

C Given mean anomaly m(degrees), orbit eccentriciy e and
C error err returns true anomaly nu (degrees)
C PDS pg 84-86

! Note this subroutine is similar to kep.f except that
! real variables are called. Only used by ploteclip.f
! DWM 28-Jul-93

!	double precision m,mr,e,err,nu,e1,del,a,e2,pi
	real m,mr,e,err,nu,e1,del,a,e2,pi

C       DAVID:  IF pi IS DEFINED DOUBLE PRECISION, THE FOLLOWING
C       STATEMENT HAS BETTER ACCURACY
	pi=3.141592654

	mr=(pi/180.0d0)*m

	e1=mr

25	continue

!	 e2=mr+e*dsin(e1)
	 e2=mr+e*sin(e1)
!	del=e2-e1
***Error found 15-JUL-91 DWM
	del=abs(e2-e1)
	 e1=e2

	if(del.ge.err) then
	 goto 25
	end if

C	del=e1-e*dsin(e1)-mr	
C	if(del.ge.err) then
C	dele=del/(1-e*dcos(e1))
C	e1=e1-dele
C	goto 25
C	end if

!	a=dsqrt((1+e)/(1-e))
!	nu=2.0d0*datan(a*dtan(e1/2.0d0))
!	nu=(180.0d0/pi)*nu

	a=sqrt((1+e)/(1-e))
	nu=2.0d0*atan(a*tan(e1/2.0d0))
	nu=(180.0d0/pi)*nu

C	write(*,*) 'M,e,E,nu '
C	write(*,*) m,e,e1*180.0d0/pi,nu

	return

	end	
