	program test

        integer d,mo,y,h,m
        double precision gst,s

	write(*,*) 'day, month, year ???'
	read(*,*) d
	read(*,*) mo
	read(*,*) y

	write(*,*) 'hour, minute, seconds ???'
	read(*,*) h
	read(*,*) m
	read(*,*) s

	write(*,*) ' '

	call ut_to_gst(d,mo,y,h,m,s,gst)

	write(*,*) ' '
	write(*,*) 'gst (in hours) is :',gst
	write(*,*) 'gst (in degrees) is :',gst*15.0d0
	write(*,*) ' '


	stop

	end



	subroutine ut_to_gst(d,mo,y,h,m,s,gst)

C given ut (d,mo,y,h,m,s) returns gst (in hours)
C 
C PDS third edition pg 17
C DWM 6-apr-93

        integer d,mo,y,h,m
        double precision gst,s,jd,dt,t0,t1

	call JUD(d,mo,y,0,0,0.0d0,jd)


	dt=(jd-2451545.0d0)
	dt=dt/36525.0d0

	t0=6.697374558d0
	t0=t0 + 2400.051336d0*dt + 0.000025862d0*dt*dt

	t0 =dmod(t0,24.0d0)
	if(t0.LT.0.0d0) t0 = t0 + 24.0d0
	

	t1 = dble(h)+dble(m)/60.0d0 + s/3600.0d0
	t1 = 1.002737909*t1

	t1=dmod(t1,24.0d0)
	if(t1.LT.0.0d0) t1 = t1 + 24.0d0

	gst = t0 + t1

	gst = dmod(gst,24.0d0)
	if(gst.LT.0.0d0) gst = gst + 24.0d0


	write(*,*) 'jd:  ',jd
	write(*,*) 'dt:  ',dt
	write(*,*) 't0:  ',t0
	write(*,*) 't1:  ',t1
	write(*,*) 'gst: ',gst

	
	return
	end

        Subroutine JUD(d,mo,y,h,m,s,jd1)
C subroutine returns Julian date of epoch

        integer d,mo,y,h,m,y2,mo2
        integer a,b,c,d2
        double precision jd1,d1,s,s2

        s2=s+60.0d0*dble(m+60*h)

        d1=dble(d)+(s2/86400.0d0)

        if(mo.eq.1.or.mo.eq.2) then
          y2=y-1
         mo2=mo+12
        else
          y2=y
         mo2=mo
        end if

        a=idint(y2/100.0d0)
        b=2-a+idint(dble(a)/4.0d0)
        c=idint(365.25d0*dble(y2))
        d2=idint(30.6001d0*dble(mo2+1))

        jd1=1720994.5+dble(b+c+d2)+d1

        return

        end



